
import 'dart:io';


import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/models/get_employee_contacts.model.dart';
import 'package:mohem_flutter_app/widgets/app_bar_widget.dart';


class DynamicFamilyMembersParams {
  String title;
  //String dynamicId;
 // String uRL;
 // String requestID;
 // String colsURL;
  List<GetEmployeeContactsList>? getEmployeeContactsList;

  DynamicFamilyMembersParams(this.title,
      {this.getEmployeeContactsList = const <GetEmployeeContactsList>[]});
}

class DynamicFamilyMembersScreen extends StatefulWidget {
  DynamicFamilyMembersScreen({Key? key}) : super(key: key);

  @override
  _DynamicFamilyMembersScreenState createState() {
    return _DynamicFamilyMembersScreenState();
  }
}

class _DynamicFamilyMembersScreenState extends State<DynamicFamilyMembersScreen> {
 // GenericResponseModel? genericResponseModel;
  DynamicFamilyMembersParams? dynamicFamilyParams;

  @override
  void initState() {
    super.initState();
  }


  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    if(dynamicFamilyParams == null) {
      dynamicFamilyParams = ModalRoute.of(context)!.settings.arguments as DynamicFamilyMembersParams;
    }
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBarWidget(
        context,
        title: dynamicFamilyParams!.title,
      ),
      body: Column(
        children: [

        ],
      ),
    );
  }


}
